Package org.eclipse.m2m.atl.emftvm.launcher

# Class LaunchAdapter

java.lang.Object
org.eclipse.m2m.atl.emftvm.launcher.LaunchAdapter

All Implemented Interfaces:
  `VMMonitor`

Direct Known Subclasses:
  `NetworkDebugger`, `ProfilingLaunchAdapter`

public class LaunchAdapter extends Object implements VMMonitor
Adapts an `ILaunch` object to the `VMMonitor` interface.

## Constructor Summary

Constructors
Constructor
Description
`LaunchAdapter(org.eclipse.debug.core.ILaunch launch)`
Creates a new `LaunchAdapter`.

## Method Summary

Modifier and Type
Method
Description
`void`
`enter(StackFrame frame)`
Enters the stack frame.
`void`
`error(StackFrame frame, String msg, Exception e)`
Throws an error.
`org.eclipse.debug.core.ILaunch`
`getLaunch()`
Returns the Eclipse launch object.
`boolean`
`isTerminated()`
Returns `true` when the running EMFTVM instance should be terminated.
`void`
`leave(StackFrame frame)`
Leaves the stack frame.
`protected void`
`setTerminated(boolean terminated)`
Sets whether this launch is terminated.
`void`
`step(StackFrame frame)`
Steps into the stack frame.
`void`
`terminated()`
Invoked when execution is terminated.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### LaunchAdapter

public LaunchAdapter(org.eclipse.debug.core.ILaunch launch)
Creates a new `LaunchAdapter`.

Parameters:
  `launch` - the launch object to wrap

## Method Details

### isTerminated

public boolean isTerminated()
Returns `true` when the running EMFTVM instance should be terminated.

Specified by:
  `isTerminated` in interface `VMMonitor`
Returns:
  `true` when the running EMFTVM instance should be terminated
See Also:
  - `VMMonitor.isTerminated()`

### enter

public void enter(StackFrame frame)
Enters the stack frame.

Specified by:
  `enter` in interface `VMMonitor`
Parameters:
  `frame` - the frame to enter in
See Also:
  - `VMMonitor.enter(org.eclipse.m2m.atl.emftvm.util.StackFrame)`

### leave

public void leave(StackFrame frame)
Leaves the stack frame.

Specified by:
  `leave` in interface `VMMonitor`
Parameters:
  `frame` - the frame to leave
See Also:
  - `VMMonitor.leave(org.eclipse.m2m.atl.emftvm.util.StackFrame)`

### step

public void step(StackFrame frame)
Steps into the stack frame.

Specified by:
  `step` in interface `VMMonitor`
Parameters:
  `frame` - the frame to step
See Also:
  - `VMMonitor.step(org.eclipse.m2m.atl.emftvm.util.StackFrame)`

### terminated

public void terminated()
Invoked when execution is terminated.

Specified by:
  `terminated` in interface `VMMonitor`
See Also:
  - `VMMonitor.terminated()`

### error

public void error(StackFrame frame, String msg, Exception e)
Throws an error.

Specified by:
  `error` in interface `VMMonitor`
Parameters:
  `frame` - the current frame
  `msg` - the error message
  `e` - the exception
See Also:
  - `VMMonitor.error(StackFrame, String, Exception)`

### getLaunch

public org.eclipse.debug.core.ILaunch getLaunch()
Returns the Eclipse launch object.

Returns:
  the launch

### setTerminated

protected void setTerminated(boolean terminated)
Sets whether this launch is terminated.

Parameters:
  `terminated` - whether this launch is terminated